import type { SwipeCallEndProps } from '..';
declare const useAnimatedCard: ({ onLeftSwipeEnd, onRightSwipeEnd, }: Partial<SwipeCallEndProps>) => {
    animationSimpleCardStyle: {
        originX: number;
        transform: ({
            translateX: number;
            rotate?: undefined;
        } | {
            rotate: string;
            translateX?: undefined;
        })[];
    };
    animationSwipeableCardStyle: {
        transform: ({
            perspective: number;
            translateX?: undefined;
            scale?: undefined;
        } | {
            translateX: number;
            perspective?: undefined;
            scale?: undefined;
        } | {
            scale: number;
            perspective?: undefined;
            translateX?: undefined;
        })[];
    };
    onLeftSwipe: () => void;
    onRightSwipe: () => void;
    gesture: import("react-native-gesture-handler/lib/typescript/handlers/gestures/panGesture").PanGesture;
};
export default useAnimatedCard;
