declare const styles: {
    screen: {
        flex: number;
        position: "absolute";
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
    };
    containerStyle: {
        flex?: number | undefined;
        height: number;
        justifyContent: "center";
        alignItems: "center";
        margin: number;
        position: "absolute";
        left: 0;
        right: 0;
        top: 0;
        bottom: 0;
    };
    card: {
        backgroundColor: string;
        borderRadius: number;
        height: string;
        width: string;
        shadowColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
        elevation: number;
        overflow: "hidden";
    };
    imageViewStyle: {
        width: string;
        height: string;
    };
    likeDislikeContainer: {
        width: string;
        height: string;
        alignItems: "center";
        justifyContent: "space-around";
        position: "absolute";
        bottom: number;
        backgroundColor: string;
        flexDirection: "row";
    };
    imageStyle: {
        width: number;
        height: number;
    };
    renderCardContainerStyle: {
        flexDirection: "column-reverse";
        flex: number;
    };
    renderCardStyle: {
        flexDirection: "row";
        justifyContent: "space-between";
        alignItems: "flex-end";
        padding: number;
    };
    renderCardButtonViewStyle: {
        backgroundColor: string;
        borderRadius: number;
    };
};
export default styles;
