import type { ReactNode } from 'react';
import type { StyleProp, ViewStyle } from 'react-native';
interface StartEndCoordinateProps {
    x: number;
    y: number;
}
export interface GradientProgressProps {
    colors?: Array<string>;
    speed?: number;
    start?: StartEndCoordinateProps;
    end?: StartEndCoordinateProps;
    children?: ReactNode;
    style?: StyleProp<ViewStyle>;
    useNativeDriver?: boolean;
}
export interface NativeLinearGradientProps {
    colorFirst?: string;
    colorSecond?: string;
    children?: ReactNode;
    start?: StartEndCoordinateProps;
    end?: StartEndCoordinateProps;
    style?: StyleProp<ViewStyle>;
}
export {};
