import React, { memo, useMemo } from 'react';
import { Text, View } from 'react-native';
import styles from './styles/StickyHeaderStyles';
const StickyHeader = ({ style, name = 'User Name', children, }) => {
    const containerStyle = useMemo(() => [styles.container, style], [style]);
    return (React.createElement(View, { style: containerStyle }, !children ? React.createElement(Text, { style: styles.title }, name) : children));
};
export default memo(StickyHeader);
//# sourceMappingURL=StickyHeader.js.map