declare const useParallaxHeader: () => {
    scrollRef: import("react").MutableRefObject<null>;
    handleHeaderLayout: (event: import("react-native").LayoutChangeEvent) => void;
    scrollValue: import("react-native-reanimated").SharedValue<number>;
    scrollHandler: (event: import("react-native").NativeSyntheticEvent<import("react-native").NativeScrollEvent>) => void;
    sharedProps: {
        contentContainerStyle: {
            paddingTop: number;
            paddingBottom: number;
            minHeight: number;
        };
        scrollEventThrottle: number;
        scrollIndicatorInsets: {
            top: number;
        };
    };
    headerContainerStyle: ({
        top: number;
        left: number;
        right: number;
        position: "absolute";
        zIndex: number;
    } | {
        transform: {
            translateY: number;
        }[];
        opacity: number;
    } | {
        paddingTop: number;
    } | undefined)[];
    collapsedOverlayStyle: ({
        position: "absolute";
        top: number;
        left: number;
        right: number;
        backgroundColor: string;
        justifyContent: "center";
        zIndex: number;
    } | {
        opacity: number;
    } | {
        height: number;
        paddingTop: number;
    })[];
};
export default useParallaxHeader;
