declare const useParallaxHeaderWithTab: (tabs: any) => {
    tabsHandlers: {
        tabRef: import("react").MutableRefObject<null>;
        tabScrollHandler: (event: import("react-native").NativeSyntheticEvent<import("react-native").NativeScrollEvent>) => void;
        data: any;
        renderTabContent: any;
        renderFlatListProps: any;
    }[];
    tabIndex: number;
    handleHeaderLayout: (event: import("react-native").LayoutChangeEvent) => void;
    sharedProps: {
        contentContainerStyle: {
            paddingTop: number;
            paddingBottom: number;
            minHeight: number;
        };
        onMomentumScrollEnd: (event: import("react-native").NativeSyntheticEvent<import("react-native").NativeScrollEvent>) => void;
        onScrollEndDrag: (event: import("react-native").NativeSyntheticEvent<import("react-native").NativeScrollEvent>) => void;
        scrollEventThrottle: number;
        scrollIndicatorInsets: {
            top: number;
        };
    };
    setTabIndex: import("react").Dispatch<import("react").SetStateAction<number>>;
    tabBarStyle: ({
        top: number;
        left: number;
        right: number;
        position: "absolute";
        zIndex: number;
    } | {
        transform: {
            translateY: number;
        }[];
    } | {
        top: number | undefined;
    } | undefined)[];
    headerContainerStyle: ({
        top: number;
        left: number;
        right: number;
        position: "absolute";
        zIndex: number;
    } | {
        transform: {
            translateY: number;
        }[];
        opacity: number;
    } | {
        paddingTop: number;
    } | undefined)[];
    collapsedOverlayStyle: ({
        position: "absolute";
        top: number;
        left: number;
        right: number;
        backgroundColor: string;
        justifyContent: "center";
        zIndex: number;
    } | {
        opacity: number;
    } | {
        height: number;
        paddingTop: number;
    })[];
};
export default useParallaxHeaderWithTab;
