import { Animated } from 'react-native';
import type { MediaButtonProps } from '../types';
declare const useMediaButton: ({ speed, onPlayPress, onPausePress, }: Partial<MediaButtonProps>) => {
    animationEffect: () => void;
    animatedPauseStyle: {
        opacity: Animated.AnimatedInterpolation;
        transform: ({
            rotate: Animated.AnimatedInterpolation;
            scale?: undefined;
        } | {
            scale: Animated.AnimatedInterpolation;
            rotate?: undefined;
        })[];
    };
    animatedPlayStyle: {
        opacity: Animated.AnimatedInterpolation;
        transform: ({
            rotate: Animated.AnimatedInterpolation;
            scale?: undefined;
        } | {
            scale: Animated.AnimatedInterpolation;
            rotate?: undefined;
        })[];
    };
};
export default useMediaButton;
