import { MaterialTopTabBar, } from '@react-navigation/material-top-tabs';
import React, { useEffect } from 'react';
const TabBar = ({ onIndexChange, ...props }) => {
    const { index } = props.state;
    useEffect(() => {
        onIndexChange === null || onIndexChange === void 0 ? void 0 : onIndexChange(index);
    }, [onIndexChange, index]);
    return React.createElement(MaterialTopTabBar, { ...props });
};
export default TabBar;
//# sourceMappingURL=TabBar.js.map