declare const styles: {
    container: {
        flex: number;
        backgroundColor: string;
    };
    tabBarContainer: {
        top: number;
        left: number;
        right: number;
        position: "absolute";
        zIndex: number;
    };
    overlayName: {
        fontSize: number;
    };
    collapsedOvarlay: {
        position: "absolute";
        top: number;
        left: number;
        right: number;
        backgroundColor: string;
        justifyContent: "center";
        zIndex: number;
    };
    headerContainer: {
        top: number;
        left: number;
        right: number;
        position: "absolute";
        zIndex: number;
    };
    cardContainer: {
        flex: number;
        marginHorizontal: number;
        marginVertical: number;
    };
    card: {
        backgroundColor: string;
        borderRadius: number;
        borderColor: string;
        borderWidth: number;
        width: string;
        shadowColor: string;
        shadowOffset: {
            width: number;
            height: number;
        };
        shadowOpacity: number;
        shadowRadius: number;
        elevation: number;
    };
    profileContainerStyle: {
        alignItems: "center";
        flexDirection: "row";
        padding: number;
    };
    image: {
        height: number;
        width: number;
        borderRadius: number;
    };
    name: {
        marginLeft: number;
        fontSize: number;
        fontWeight: "500";
    };
    descriptionStyle: {
        marginHorizontal: number;
    };
    textDescriptionStyle: {
        textAlign: "justify";
    };
    hashtagTextViewStyle: {
        marginVertical: number;
        flexDirection: "row";
    };
    hashtagTextStyle: {
        color: string;
        paddingEnd: number;
    };
    imageBackgroundStyle: {
        height: number;
        marginBottom: number;
    };
    viewHeightStyle: {
        height: number;
    };
};
export default styles;
